texture tex;

int State;
float PixelX;
float WhiteSize;

sampler smp = sampler_state
{
	Texture = <tex>;
};

float4 PS(float2 UV : TEXCOORD0) : COLOR0
{
	float4 color = tex2D(smp, UV);
	
	if (State == 0)
	{
		color = float4(255, 255, 255, color.a);
	}
	else if (State == 1)
	{
		if (UV.x > PixelX - WhiteSize && UV.x < PixelX)
		{
			color = float4(255, 255, 255, color.a);
		}
	}
		
	return color;
}

technique tech
{
	pass p0
	{
		PixelShader = compile ps_2_0 PS();
	}

};